//******************************************************************************
//
// MIDITrail / MTTabBarCtrl
//
// タブバー制御クラス
//
// Copyright (C) 2012-2022 WADA Masashi. All Rights Reserved.
//
//******************************************************************************

#import "MTTabBarCtrl.h"


//******************************************************************************
// プライベートメソッド定義
//******************************************************************************
@interface MTTabBarCtrl ()

@end


@implementation MTTabBarCtrl

//******************************************************************************
// 生成
//******************************************************************************
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
	self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
	if (self) {
		// Custom initialization
	}
	return self;
}

//******************************************************************************
// ビュー登録完了
//******************************************************************************
- (void)viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
	
	//タブバーの背景が透明にならないようにする
	if (@available(iOS 15.0, *)) {
		UITabBarAppearance* pAppearance = [[UITabBarAppearance alloc] init];
		[pAppearance configureWithDefaultBackground];
		self.tabBar.scrollEdgeAppearance = pAppearance;
		self.tabBar.standardAppearance = pAppearance;
	}
	
	return;
}

//******************************************************************************
// インターフェース自動回転確認（iOS6以降）
//******************************************************************************
- (BOOL)shouldAutorotate
{
	//回転を許可する
	return YES;
}

//******************************************************************************
// インターフェース自動回転確認：回転方向（iOS6以降）
//******************************************************************************
- (NSUInteger)supportedInterfaceOrientations
{
	//全方向に対応する
	return UIInterfaceOrientationMaskAll;
}

@end

